python-statface-client (0.164.0) precise; urgency=medium

  [ ernurator ]
  * LOGOS-1993 | Fixed logging

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Mon, 06 Dec 2021 22:23:16 +0300

python-statface-client (0.163.0) precise; urgency=medium

  [ melamore ]
  * DMP-103 | Statface client

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Wed, 01 Sep 2021 12:26:18 +0300

python-statface-client (0.162.0) precise; urgency=medium

  [ exprmntr ]
  * DEVTOOLS-7781 - remove NO_LINT()

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Thu, 22 Apr 2021 14:38:11 +0300

python-statface-client (0.161.0) precise; urgency=medium

  [ exprmntr ]
  * DEVTOOLS-7781 - remove NO_LINT()

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Thu, 22 Apr 2021 12:08:24 +0300

python-statface-client (0.160.0) precise; urgency=medium

  [ v-korovin ]
  * DEVTOOLS-8344 Migration for library

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Wed, 21 Apr 2021 07:53:51 +0300

python-statface-client (0.159.0) precise; urgency=medium

  [ hhell ]
  * reorganize setup

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Thu, 25 Mar 2021 12:22:45 +0300

python-statface-client (0.158.0) precise; urgency=medium

  [ hhell ]
  * Require some remotely fresh dependencies

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Thu, 25 Mar 2021 09:49:59 +0300

python-statface-client (0.157.0) precise; urgency=medium

  [ hhell ]
  * Fix an assert and a warning

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Mon, 15 Feb 2021 12:40:50 +0300

python-statface-client (0.156.0) precise; urgency=medium

  [ hhell ]
  * Minor feature: default_log_level

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Wed, 24 Jun 2020 16:57:11 +0300

python-statface-client (0.155.0) precise; urgency=medium

  [ hhell ]
  * support status 'aborted'

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Wed, 24 Jun 2020 14:29:39 +0300

python-statface-client (0.154.0) precise; urgency=medium

  [ hhell ]
  * Do not risk chardet in dictionary response parsing

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Wed, 06 May 2020 21:55:41 +0300

python-statface-client (0.153.0) precise; urgency=medium

  [ seray ]
  * [STATINFRA-*] replace legacy import

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Thu, 12 Mar 2020 15:58:43 +0300

python-statface-client (0.152.0) precise; urgency=medium

  [ seray ]
  * [STATINFRA-10451] hide password in request dump

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Tue, 22 Oct 2019 12:30:37 +0300

python-statface-client (0.151.0) precise; urgency=medium

  [ shprot ]
  * [STATINFRA-10408] return to STATBOX_DEBUILDER

  [ hhell ]
  * Release 0.150.0
  * STATINFRA-10024 Hide auth in request dump
  * [STATFACE-5560] report simple_upload: streamed fix, example, notes
  * Release 0.149.0
  * simple_upload `streamed` param, additional documentation link
  * Only allow safe YAML in the statface client config
  * simple_upload: minor documentation addition.
  * [STATFACE-5560] report simple_upload api

  [ seray ]
  * [STATFACE-5560] version increase

  [ MR TRUNCATER ]
  * [NOTICKETNO-0000] PREVIOUS STATBOX_DEBUILDER MARK WAS NOT FOUND

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Wed, 02 Oct 2019 20:33:52 +0300

python-statface-client (0.150.0) xenial; urgency=low

  * [STATFACE-5560] report simple_upload: streamed fix, example, notes
  * STATINFRA-10024 Hide auth in request dump

 -- Anton Vasilyev <hhell@yandex-team.ru>  Thu, 22 Aug 2019 21:16:09 +0300

python-statface-client (0.149.0) xenial; urgency=low

  * simple_upload: minor documentation addition.
  * Only allow safe YAML in the statface client config
  * simple_upload `streamed` param, additional documentation link

 -- Anton Vasilyev <hhell@yandex-team.ru>  Mon, 05 Aug 2019 14:19:43 +0300

python-statface-client (0.148.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * [STATFACE-5560] report simple_upload api

 -- Sergei Borodin <seray@yandex-team.ru>  Fri, 19 Jul 2019 14:28:50 +0300

python-statface-client (0.147.0) precise; urgency=medium

  [ Sergei Borodin ]
  * [STATINFRA-9840] Arcadia migration
  * [STATINFRA-9840] Deb building fix

 -- Sergei Borodin <seray@yandex-team.ru>  Tue, 16 Apr 2019 12:15:56 +0300

python-statface-client (0.146.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Do not retry the actual StatfaceClientDataUploadError. And do not
    raise it inappropriately.

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Thu, 28 Mar 2019 20:54:17 +0300

python-statface-client (0.145.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Disable check_auth on init

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Tue, 26 Mar 2019 17:45:58 +0300

python-statface-client (0.144.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * [STATINFRA-9977] reqid in logs and headers
  * Add extra == "security" to the requests dependency

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Mon, 25 Mar 2019 17:32:40 +0300

python-statface-client (0.143.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * [STATINFRA-9948] persistently retrying add_data_status

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Mon, 25 Mar 2019 16:51:48 +0300

python-statface-client (0.142.0) unstable; urgency=medium

  * Version bump

 -- Anton Vasilyev <hhell@yandex-team.ru>  Tue, 12 Mar 2019 15:15:51 +0300

python-statface-client (0.141.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * [STATFACE-5474] nirvana context, context headers refactoring
  * linting
  * linting (p02)
  * [STATFACE-5474] add support for CONTEXT_URL env

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Mon, 21 Jan 2019 09:34:39 +0000

python-statface-client (0.140.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * 'frontend_host' attribute for convenience
  * linting
  * Fix exception handling; __repr__ for StatfaceHttpResponseError
  * linting and slight error-message handling logic change
  * linting

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Tue, 15 Jan 2019 12:53:18 +0000

python-statface-client (0.139.0) precise; urgency=medium

  [ Anton Martsenyuk ]
  * Add another source of errors
  * Merge pull request #123 from ngc224/add_another_source_of_errors

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Mon, 14 Jan 2019 14:21:00 +0000

python-statface-client (0.138.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Minor API URI fixes
  * Retries: make sure the retrier returns some response

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Fri, 11 Jan 2019 12:50:02 +0000

python-statface-client (0.137.0) precise; urgency=medium

  [ Pavel Smirnov ]
  * Add Oauth publish to mrproc

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Sat, 29 Dec 2018 12:21:32 +0000

python-statface-client (0.136.0) precise; urgency=medium

  [ Sergei Borodin ]
  * [STATINFRA-*] using yt driver in report_diff (#120)

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Thu, 20 Dec 2018 13:38:31 +0000

python-statface-client (0.135.0) precise; urgency=medium

  [ Anton Vasilev ]
  * examples/dict_upload, minor changes (#119)

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Fri, 30 Nov 2018 12:10:00 +0000

python-statface-client (0.134.0) precise; urgency=medium

  [ Alexander Degtyarev ]
  * [STATINFRA-9642] reject robot-statinfra push

 -- robot-statinfra <robot-statinfra@yandex-team.ru>  Tue, 20 Nov 2018 12:23:05 +0000

python-statface-client (0.133.0) precise; urgency=medium

  [ Alexander Degtyarev ]
  * [STATINFRA-9642] defaults have been removed

 -- stattester <stattester@yandex-team.ru>  Thu, 15 Nov 2018 14:33:50 +0000

python-statface-client (0.132.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Add forgotten six dependency, synchronize with the arcadia tree
  * StatfaceReportConfig: ensure the generated yaml is of the text type
  * StatfaceReportConfig: tests and repr fixes
  * A minor example improvement
  * More py3 fixes
  * some tests fixes for py2/py3 compat

  [ Anton Vasilev ]
  * Merge pull request #118 from statbox/stuff

 -- stattester <stattester@yandex-team.ru>  Thu, 08 Nov 2018 09:05:16 +0000

python-statface-client (0.131.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Actualize the basic_usage example

 -- stattester <stattester@yandex-team.ru>  Mon, 22 Oct 2018 16:14:28 +0000

python-statface-client (0.130.0) precise; urgency=medium

  [ Sergei Borodin ]
  * Remove data from logging

  [ Anton Vasilev ]
  * Merge pull request #117 from seray/logging

 -- stattester <stattester@yandex-team.ru>  Tue, 09 Oct 2018 12:50:09 +0000

python-statface-client (0.129.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Add statface_client.constants.RECOMMENDED_YT_UPLOAD_SIZE_BYTES and
    statface_client.constants.RECOMMENDED_YT_UPLOAD_SIZE_ROWS

 -- stattester <stattester@yandex-team.ru>  Fri, 28 Sep 2018 10:08:07 +0000

python-statface-client (0.128.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Make the statface uris more current

  [ Anton Vasilev ]
  * Merge pull request #116 from statbox/uri_cleanup

 -- stattester <stattester@yandex-team.ru>  Fri, 21 Sep 2018 10:43:54 +0000

python-statface-client (0.127.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * [STATINFRA-9479] rjm job/action id in ua
  * linting
  * fix and linting
  * more refactoring/linting

  [ Anton Vasilev ]
  * Merge pull request #115 from statbox/ua_job_action

 -- stattester <stattester@yandex-team.ru>  Wed, 12 Sep 2018 10:08:37 +0000

python-statface-client (0.126.0) precise; urgency=medium

  [ Victor Kukanov ]
  * [STATINFRA-9478] add responses' message to raised errors (#114)

 -- stattester <stattester@yandex-team.ru>  Tue, 11 Sep 2018 16:07:34 +0000

python-statface-client (0.125.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Bump the response logging level from DEBUG to INFO

 -- stattester <stattester@yandex-team.ru>  Mon, 10 Sep 2018 18:03:00 +0000

python-statface-client (0.124.0) precise; urgency=medium

  [ Anton Vasilev ]
  * fix: support file-object-like as report yaml_config (#112)

 -- stattester <stattester@yandex-team.ru>  Fri, 31 Aug 2018 15:00:29 +0000

python-statface-client (0.123.0) precise; urgency=medium

  [ Sergei Borodin ]
  * Specify that the data in mrproc upload_config_and_data has 'tskv'
    format (#111)

 -- stattester <stattester@yandex-team.ru>  Thu, 30 Aug 2018 13:31:44 +0000

python-statface-client (0.122.0) precise; urgency=medium

  [ Sergei Borodin ]
  * Comparing titles in utf-8 (#110)

 -- stattester <stattester@yandex-team.ru>  Wed, 29 Aug 2018 12:33:07 +0000

python-statface-client (0.121.0) precise; urgency=medium

  [ Sergei Borodin ]
  * [STATINFRA-9508] removing config logging (#109)

 -- stattester <stattester@yandex-team.ru>  Wed, 29 Aug 2018 11:15:39 +0000

python-statface-client (0.120.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Decode the byte-string passed config in a more common place
  * report config update_from_yaml: ensure that binary yaml_data is
    valid utf-8
  * Update the test_yaml_passthrough to match the changed behaviour

 -- stattester <stattester@yandex-team.ru>  Tue, 28 Aug 2018 13:31:29 +0000

python-statface-client (0.119.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * fix some case of data upload formats

 -- stattester <stattester@yandex-team.ru>  Tue, 28 Aug 2018 11:35:51 +0000

python-statface-client (0.118.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * report config: normalize the passed title and ensure it did not
    diverge
  * linting (that complexity of legacy-stuff handling is rather
    unavoidable)

  [ Anton Vasilev ]
  * Merge pull request #108 from statbox/titlework2

 -- stattester <stattester@yandex-team.ru>  Mon, 27 Aug 2018 15:06:24 +0000

python-statface-client (0.117.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Handle mrproc invalid-unicode tskv (and other cases) using
    multipart/form-data
  * Data upload in multipart/form-data: fix
  * multipart and binary data upload with py3 handling fixes
  * Additional experimental support for file-like-objects data upload;
    reworked data size processing
  * data upload serialization refactoring
  * linting fix
  * refactored upload_config_and_data, legacy-style upload example/test
  * Some py3 fixes
  * FIX: fix
  * linting
  * unfix after the linting
  * more minor fixes
  * fix (again)
  * Attempt to avoid logging the entire uploaded data in config_and_data
    when the data is in the main request data

  [ Anton Vasilev ]
  * Merge pull request #107 from statbox/multipart

 -- stattester <stattester@yandex-team.ru>  Mon, 27 Aug 2018 11:41:57 +0000

python-statface-client (0.116.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Log the version once (globally) on BaseStatfaceClient init

 -- stattester <stattester@yandex-team.ru>  Wed, 22 Aug 2018 10:49:04 +0000

python-statface-client (0.115.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * dump_response with whitelisted response headers

 -- stattester <stattester@yandex-team.ru>  Tue, 21 Aug 2018 15:17:40 +0000

python-statface-client (0.114.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * improved dump_raw_request

 -- stattester <stattester@yandex-team.ru>  Tue, 21 Aug 2018 14:48:11 +0000

python-statface-client (0.113.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * tests: avoid overly large parmeters representation for
    test_force_text_...

 -- stattester <stattester@yandex-team.ru>  Tue, 21 Aug 2018 13:57:14 +0000

python-statface-client (0.112.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Fix no-response RequestException wrapping

 -- stattester <stattester@yandex-team.ru>  Tue, 21 Aug 2018 13:26:49 +0000

python-statface-client (0.111.0) precise; urgency=medium

  [ Anton Vasilyev ]
  * Fixed and improved exceptions representation

  [ Anton Vasilev ]
  * Merge pull request #106 from statbox/exc_form

 -- stattester <stattester@yandex-team.ru>  Tue, 21 Aug 2018 13:05:43 +0000

python-statface-client (0.110.0) precise; urgency=medium

  [ Victor Kukanov ]
  * [STATINFRA-9345] add retriable/fatal type of exceptions
  * [STATINFRA-9345] retriable status for 429 status code(Too Many
    Requests)
  * [STATINFRA-9345] change checking retriable statuses

  [ Max Zuev ]
  * Merge pull request #104 from granilace/STATINFRA-9345

 -- stattester <stattester@yandex-team.ru>  Tue, 14 Aug 2018 16:02:06 +0000

python-statface-client (0.109.0) precise; urgency=medium

  [ Sergei Borodin ]
  * [STATINFRA-9099] repository name changed (#103)

 -- stattester <stattester@yandex-team.ru>  Tue, 07 Aug 2018 15:12:15 +0000

python-statface-client (0.108.0) precise; urgency=medium

  [ Sergei Borodin ]
  * [STATINFRA-9451] fix tests (#102)

 -- stattester <stattester@yandex-team.ru>  Tue, 07 Aug 2018 14:36:18 +0000

python-statface-client (0.107.0) precise; urgency=medium

  [ Anton Vasilev ]
  * pyyaml in setup.py deps (#101)

 -- stattester <stattester@yandex-team.ru>  Fri, 03 Aug 2018 13:50:44 +0000

python-statface-client (0.106.0) precise; urgency=medium

  [ Sergei Borodin ]
  * [STATINFRA-9300] config type fix
  * [STATINFRA-9300] pylint fix
  * [STATINFRA-9300] using token in test
  * Merge pull request #100 from seray/py3

 -- stattester <stattester@yandex-team.ru>  Tue, 24 Jul 2018 12:17:36 +0000

python-statface-client (0.105.0) precise; urgency=medium

  [ Alexander Shprot ]
  * [STATFACE-5270] fix tags

 -- stattester <stattester@yandex-team.ru>  Mon, 23 Jul 2018 15:21:19 +0000

python-statface-client (0.104.0) precise; urgency=medium

  [ Alexander Shprot ]
  * [STATFACE-5270] Sandboxization

 -- stattester <stattester@yandex-team.ru>  Mon, 23 Jul 2018 15:08:21 +0000

python-statface-client (0.103.0) precise; urgency=low

  [ Sergei Borodin ]
  * [STATINFRA-9396] tskv formatting removed
  * [STATINFRA-9300] update __future__ import
  * [STATINFRA-9300] added tskv support
  * [STATINFRA-9300] fix test_utils
  * [STATINFRA-9300] fix test_tools
  * [STATINFRA-9300] fix test_nested_dict
  * [STATINFRA-9300] tests automatic update by modernize
  * [STATINFRA-9300] automatic update by modernize

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 17 Jul 2018 13:17:31 +0300

python-statface-client (0.102.0) precise; urgency=low

  [ Anton Vasilyev ]
  * Tests fix
  * Report name in uri

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 12 Jul 2018 17:08:13 +0300

python-statface-client (0.101.0) precise; urgency=low

  [ Ivan Moskvin ]
  * [STATINFRA-*] Remove unimplemented method

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 12 Jul 2018 13:33:52 +0300

python-statface-client (0.100.0) precise; urgency=low

  [ Anton Vasilyev ]
  * Linting

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 15 May 2018 18:38:18 +0300

python-statface-client (0.99.0) precise; urgency=low

  [ Anton Vasilyev ]
  * minor fixes

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 15 May 2018 18:35:10 +0300

python-statface-client (0.98.0) precise; urgency=low

  [ Anton Vasilyev ]
  * [STATFACE-5339] statface_client.utils.force_text for getting a valid
    unicode string out of most of the stuff

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 15 May 2018 18:22:33 +0300

python-statface-client (0.97.0) precise; urgency=low

  [ Anton Vasilyev ]
  * examples linting
  * use newer pylint
  * refactor download_data, rename the recently added RAW_DATA_FORMAT to
    PY_DATA_FORMAT
  * bin/copy_report_cube linting
  * bin/rd linting

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 15 May 2018 12:20:19 +0300

python-statface-client (0.96.0) precise; urgency=low

  [ Anton Vasilyev ]
  * Move generated __version__ to statface_client/version_actual.py to
    avoid changing a VCSed file (statface_client/version.py) from
    setup.py
  * REFACTOR: Linting
  * Refactor StatfaceReportConfig to support explicit
    serialized/deserialized user_config

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 14 May 2018 16:56:43 +0300

python-statface-client (0.95.0) precise; urgency=low

  [ Anton Vasilyev ]
  * tox: renamed testenv from 'pep8' to 'linting' to reduce confusion;
    slightly refactored tox.ini
  * REFACTOR: Linting
  * Always convert UUID to a unicode string to avoid dealing with
    implicit conversion and failures
  * Refactor the config/data/config_and_data upload parameters usage
    (depends on changes in sf4)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 14 May 2018 13:35:34 +0300

python-statface-client (0.94.0) precise; urgency=low

  [ Anton Vasilyev ]
  * [STATFACE-5279] support initial_... parameters

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 10 May 2018 18:45:49 +0300

python-statface-client (0.93.0) precise; urgency=low

  [ Andrey Snytin ]
  * [STATFACE-5325] YT upload: custom yt_token

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 20 Apr 2018 23:13:46 +0300

python-statface-client (0.92.0) precise; urgency=low

  [ Andrey Snytin ]
  * FIX: add_data_status error message fetching

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 19 Apr 2018 14:18:17 +0300

python-statface-client (0.91.0) precise; urgency=low

  [ Anton Vasilyev ]
  * Use /_api/stareport/... instead of _type=...

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 09 Apr 2018 18:26:19 +0300

python-statface-client (0.90.0) precise; urgency=low

  [ Anton Martsenyuk ]
  * Don't hide original http error

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 29 Mar 2018 15:31:08 +0300

python-statface-client (0.89.0) precise; urgency=low

  [ Andrey Snytin ]
  * FIX: add_data_status check in no error info presented

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 29 Mar 2018 15:21:06 +0300

python-statface-client (0.88.0) precise; urgency=low

  [ Anton Martsenyuk ]
  * Fix certs usage in Arcadia

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 29 Mar 2018 09:22:34 +0300

python-statface-client (0.87.0) precise; urgency=low

  [ Sergei Borodin ]
  * [STATINFRA-9174] changed qb2 datetime import (#90)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 21 Mar 2018 19:20:50 +0300

python-statface-client (0.86.0) precise; urgency=low

  [ Andrey Snytin ]
  * [STATFACE-5253] yt upload (#89)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 19 Mar 2018 14:22:15 +0300

python-statface-client (0.85.0) precise; urgency=low

  [ Andrey Snytin ]
  * still fixing wheel package build

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 15 Mar 2018 15:52:42 +0300

python-statface-client (0.84.0) precise; urgency=low

  [ Andrey Snytin ]
  * fixing wheel package build

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 15 Mar 2018 15:09:43 +0300

python-statface-client (0.83.0) precise; urgency=low

  [ Andrey Snytin ]
  * bump version

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 12 Mar 2018 17:11:25 +0300

python-statface-client (0.82.0) precise; urgency=medium

  [ Andrey Snytin ]
  * [STATFACE-5265] set path to ssl certificate for requests session
    (#87)

 -- stattester <stattester@yandex-team.ru>  Mon, 12 Mar 2018 13:09:24 +0000

python-statface-client (0.81.0) precise; urgency=low

  [ Сергей Бородин ]
  * [STATINFRA-8358] added warning for the heavy upload

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 19 Feb 2018 09:48:07 +0300

python-statface-client (0.80.0) precise; urgency=low

  [ Ivan Moskvin ]
  * [STATFACE-4230] Allow change report api version (#85)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 16 Jan 2018 11:21:56 +0300

python-statface-client (0.79.0) precise; urgency=low

  [ Ivan Moskvin ]
  * [STATFACE-*] Allow fetch available dates range (#84)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 25 Dec 2017 18:47:41 +0300

python-statface-client (0.78.0) precise; urgency=low

  [ Andrey Petrin ]
  * Support jsongraph2 (#82)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 23 Nov 2017 15:04:06 +0300

python-statface-client (0.77.0) precise; urgency=low

  [ Сергей Бородин ]
  * [STATINFRA-9004] pylint fix
  * [STATINFRA-9004] added aggregation scales

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 20 Nov 2017 17:51:50 +0300

python-statface-client (0.76.0) precise; urgency=low

  [ Ivan Moskvin ]
  * Update control

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 23 Oct 2017 14:59:35 +0300

python-statface-client (0.75.0) precise; urgency=low

  [ Sergei Borodin ]
  * [STATINFRA-8929] fix full table_name (#81)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 17 Oct 2017 19:02:23 +0300

python-statface-client (0.74.0) precise; urgency=low

  [ Alexander Degtyarev ]
  * Pass HOME variable to testenvs (cause new tox)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 17 Oct 2017 14:58:45 +0300

python-statface-client (0.73.0) precise; urgency=low

  [ Dmitrii Fedorov ]
  * set requests version in setup.py

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 21 Sep 2017 13:44:00 +0300

python-statface-client (0.72.0) precise; urgency=low

  [ Dmitrii Fedorov ]
  * upgrade requests version in debian/control

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 21 Sep 2017 13:32:30 +0300

python-statface-client (0.71.0) precise; urgency=low

  [ Dmitrii Fedorov ]
  * [STATINFRA-8790] update_last_period_distincts and update_cube_state
    after parallel_upload (#80)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 25 Aug 2017 11:36:52 +0300

python-statface-client (0.70.0) precise; urgency=low

  [ Alexander Degtyarev ]
  * [STATINFRA-7594] StatfaceDictionary (#78)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 08 Aug 2017 12:42:26 +0300

python-statface-client (0.69.0) precise; urgency=low

  [ Dmitrii Fedorov ]
  * [STATINFRA-8340] retries (#79)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 03 Aug 2017 18:38:05 +0300

python-statface-client (0.68.0) precise; urgency=low

  [ Ivan Moskvin ]
  * Update basic_usage.py

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 19 Jul 2017 14:17:06 +0300

python-statface-client (0.67.0) precise; urgency=low

  [ Denis Malinochkin ]
  * FIX: correct name for requests_kwargs argument in examples

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 07 Jul 2017 11:42:21 +0300

python-statface-client (0.66.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [STATINFRA-8586] report url

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 03 Jul 2017 16:13:55 +0300

python-statface-client (0.65.0) precise; urgency=low

  [ Andrey Snytin ]
  * cast scale to short value on report config upload (#75)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 23 Jun 2017 19:37:07 +0300

python-statface-client (0.64.0) precise; urgency=low

  [ Sergei Borodin ]
  * change DEFAULT_RESULT_PATH

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 23 Jun 2017 18:18:51 +0300

python-statface-client (0.63.0) precise; urgency=low

  [ Andrey Snytin ]
  * FIX: client constructor arguments order (#73)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 31 May 2017 14:12:30 +0300

python-statface-client (0.62.0) precise; urgency=low

  [ Andrey Snytin ]
  * [STATINFRA-8602] FIX: _hide_password (#72)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 23 May 2017 15:43:08 +0300

python-statface-client (0.61.0) precise; urgency=low

  [ Andrey Snytin ]
  * [STATINFRA-8602] FIX: cut filename from _SRCFILE for proper user-
    agent (#71)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 22 May 2017 15:46:29 +0300

python-statface-client (0.60.0) precise; urgency=low

  [ Andrey Snytin ]
  * FIX: style and pylint ignores (#70)
  * [STATINFRA-8602] OAuth support. Verbose User-Agent. Requests debug
    logging. _no_excess_calls option. (#69)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 19 May 2017 18:50:18 +0300

python-statface-client (0.59.0) precise; urgency=low

  [ Ivan Moskvin ]
  *  * [YTADMINREQ-5316] Fix cube dump method (#68)

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 15 May 2017 17:25:04 +0300

python-statface-client (0.58.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * more tests + pep8
  * STATINFRA-8496: change upload status behavior

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 05 May 2017 17:22:03 +0300

python-statface-client (0.57.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * tox -e dev: run all examples
  * run_examples: run all examples in folder
  * tox: wip
  * tox: supress "not installed in virtualenv" warning
  * tox: split test running and pep8 checks
  * tox: fail whole build if any commands failed
  * report diff: add symlinks for utils
  * report diff: return py extesion back

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 18 Apr 2017 20:36:42 +0300

python-statface-client (0.56.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * cosmetics
  * report diff: delete extra step, add oportunity to print statistics
    without calculation

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 29 Mar 2017 00:34:13 +0300

python-statface-client (0.55.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * report diff: drop py extension for binaries
  * report diff: change yt proxy for report qube downloader

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 27 Mar 2017 22:16:18 +0300

python-statface-client (0.54.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8467] fix for wrong upload error

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 27 Mar 2017 22:06:43 +0300

python-statface-client (0.53.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * pep8
  * [STATINFRA-8333] report diff

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 24 Mar 2017 09:38:50 +0300

python-statface-client (0.52.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * Revert "minor refactoring"

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 21 Mar 2017 18:37:11 +0300

python-statface-client (0.51.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * fix for raising StatfaceIncorrectResponseError for prescheduled
    upload status

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 06 Mar 2017 17:33:17 +0300

python-statface-client (0.50.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8350] add fake response status to
    StatfaceClientDataUploadError

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 14 Feb 2017 17:48:17 +0300

python-statface-client (0.49.0) precise; urgency=low

  [ Max Zuev ]
  * Revert "[STATINFRA-8350] StatfaceClientDataUploadError should
    inherited from StatfaceHttpResponseError"

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 13 Feb 2017 21:40:24 +0300

python-statface-client (0.48.0) precise; urgency=low

  [ Max Zuev ]
  * [STATINFRA-8350] StatfaceClientDataUploadError should inherited from
    StatfaceHttpResponseError

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 13 Feb 2017 17:46:08 +0300

python-statface-client (0.47.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8366] use upload* proxies everywhere

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 31 Jan 2017 21:48:54 +0300

python-statface-client (0.46.0) precise; urgency=low

  [ Anton Vasilyev ]
  * minor refactoring

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 25 Jan 2017 17:58:02 +0300

python-statface-client (0.45.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8322] pep8 cosmetics
  * [STATINFRA-8322] fix for requests args forwarding

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 25 Jan 2017 17:34:26 +0300

python-statface-client (0.44.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8339] try to fix log error

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 09 Jan 2017 19:05:22 +0300

python-statface-client (0.43.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * hotfix for StatfaceHttpResponseError dump

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 30 Dec 2016 20:02:10 +0300

python-statface-client (0.42.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8227] log HttpErrors
  * [STATINFRA-] fix examples

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 26 Dec 2016 23:56:59 +0300

python-statface-client (0.41.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * fix examples/async_upload.py

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 14 Dec 2016 14:18:26 +0300

python-statface-client (0.40.0) precise; urgency=low

  [ Vasiliy Agapitov ]
  * [STATINFRA-8281] Fix non string join

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 12 Dec 2016 20:07:40 +0300

python-statface-client (0.39.0) precise; urgency=low

  [ Mikhail Borisov ]
  * STATLIBS-1116: Use yatest.common for test data file discovery in
    arcadia

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 14 Nov 2016 20:53:47 +0300

python-statface-client (0.38.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * fix for create testing config
  * [STATINFRA-7471] spelling
  * [STATINFRA-7471] stattester config
  * [STATINFRA-7471] run examples in tox
  * [STATFACE-3563] [STATFACE-3808] decrutch

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 31 Oct 2016 15:29:48 +0300

python-statface-client (0.37.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8169] proper http exception dumping + needed refactoring
    & cosmetics

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 14 Oct 2016 00:04:19 +0300

python-statface-client (0.36.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATFACE-4530]  changes in UploadStatus: endless wait for
    ConnectionTimeout and all sort 5* codes

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 27 Sep 2016 09:54:25 +0300

python-statface-client (0.35.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8064] wrap yaml exception in config parsing

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 26 Sep 2016 10:27:16 +0300

python-statface-client (0.34.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8064] add Response status + reason before stacktrace in
    mrproc_statface_publisher

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 07 Sep 2016 01:01:14 +0300

python-statface-client (0.33.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8064] fix mrproc_statface_pulisher crash message to
    compatibility with TaskInspector

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 06 Sep 2016 15:55:49 +0300

python-statface-client (0.32.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * hotfix for MemoryError in request dump

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 06 Sep 2016 13:20:01 +0300

python-statface-client (0.31.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8072] hotfix for too chatty logger

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 05 Sep 2016 21:51:59 +0300

python-statface-client (0.30.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8057] more validation for report config

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 01 Sep 2016 21:53:17 +0300

python-statface-client (0.29.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * hotfix for synax error + increase log message size + some cosmetics

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 01 Sep 2016 15:11:10 +0300

python-statface-client (0.28.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-8054] some fixes in statface_mrproc_publisher: enable
    python logging, use tskv format for data and just data uploads, log
    data size
  * cosmetics

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 01 Sep 2016 13:24:33 +0300

python-statface-client (0.27.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-] fix for logging full request data

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 30 Aug 2016 13:14:25 +0300

python-statface-client (0.26.0) precise; urgency=low

  [ Ivan Moskvin ]
  *  * [STATINFRA-7992] Fix getting unexisting dict key

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 23 Aug 2016 15:54:29 +0300

python-statface-client (0.25.0) precise; urgency=low

  [ Ivan Moskvin ]
  *  * [STATINFRA-7992] Allow to call publisher without report_config
    param

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 23 Aug 2016 14:30:21 +0300

python-statface-client (0.24.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * cosmetics
  * [STATINFRA-7471] better docs
  * [STATINFRA-] safety in logging
  * [STATINFRA-] fix for UnicodeDecodeError during logging
  * [STATINFRA-7471] async upload example
  * [STATINFRA-7471] basic usage example
  * [STATINFRA-] more safety in http error dump

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 09 Aug 2016 14:08:55 +0300

python-statface-client (0.23.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-] prettier http error dump

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 05 Aug 2016 01:02:29 +0300

python-statface-client (0.22.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7918] meta_storage method changed

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 06 Jul 2016 16:42:38 +0300

python-statface-client (0.21.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * fix for unicode encode problem in StatfaceHttpResponseError string
    representation
  * [STATINFRA-7919] fix for json dump errors

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Sun, 03 Jul 2016 22:04:18 +0300

python-statface-client (0.20.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * more logging, cosmetics
  * [STATINFRA-7916] fixes for raising http exceptions

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 29 Jun 2016 19:04:28 +0300

python-statface-client (0.19.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * bunch of fixes
  * [STATINFRA-7884] new report method fetch_missing_dates

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 29 Jun 2016 13:51:49 +0300

python-statface-client (0.18.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * fixes
  * [STATINFRA-7896] fix multiproject path validation
  * [STATINFRA-7613] fix
  * [STATINFRA-7613] more diagnostics to HttpErrors

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 22 Jun 2016 18:44:00 +0300

python-statface-client (0.17.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7328] multiple replace_mask to mrproc_publisher

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 15 Jun 2016 16:04:10 +0300

python-statface-client (0.16.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7328] cosmetics

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 14 Jun 2016 21:51:17 +0300

python-statface-client (0.15.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7328] _upload_config_and_data get data in tskv format

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 14 Jun 2016 17:25:27 +0300

python-statface-client (0.14.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7544] load auth setting from config

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 19 Apr 2016 16:22:41 +0300

python-statface-client (0.13.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7553] sugar for tree data upload

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 18 Mar 2016 12:55:58 +0300

python-statface-client (0.12.0) precise; urgency=low

  [ Anton Martsenyuk ]
  * Refine exception info in data serialization

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 16 Mar 2016 15:18:03 +0300

python-statface-client (0.11.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-] Cosmetics for statbox/python-statface-client/pull/14
  * [STATINFRA-7338] more freedom in host specification
  * [STATINFRA-7465] shatter api.py into small pieces
  * [STATINFRA-] cosmetics

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 25 Feb 2016 13:18:25 +0300

python-statface-client (0.10.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-] pylint cosmetics
  * [STATINFRA-7486] upload_data: serialization fix

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 24 Feb 2016 15:43:24 +0300

python-statface-client (0.9.0) precise; urgency=low

  [ Ivan Moskvin ]
  * Update README.md
  * Update README.md

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 18 Feb 2016 16:18:58 +0300

python-statface-client (0.8.0) precise; urgency=low

  [ Ivan Moskvin ]
  * Update README.md

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 18 Feb 2016 16:18:28 +0300

python-statface-client (0.7.0) precise; urgency=low

  [ Ivan Moskvin ]
  * Create README.md

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 29 Jan 2016 16:41:00 +0300

python-statface-client (0.6.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7361] report metadata methods

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 21 Jan 2016 18:47:10 +0300

python-statface-client (0.5.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * forgotten sheband line in mrproc_statface_publisher

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 29 Dec 2015 07:12:48 +0300

python-statface-client (0.4.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7297] human error message for invalid client config
  * [STATINFRA-7297] minimal client_config validation
  * [STATINFRA-7328] deb: install mrproc publisher to /usr/bin
  * [STATINFRA-7328] mrproc publisher
  * [STATINFRA-7328] method for config_and_data API
  * pylint
  * pep8
  * [STATINFRA-7297] requests kwargs forwarding
  * [STATINFRA-7297] add async upload check strategy
  * [STATINFRA-7297] merge client config into default client config
  * [STATINFRA-7297] upload status with extra status checking
  * [STATINFRA-7245] use tox better and better

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 29 Dec 2015 06:51:42 +0300

python-statface-client (0.3.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-7284] StatfaceReportConfig.user_config ->
    StatfaceReportConfig.misc
  * [STATFACE-7284], [STATFACE-7245] use pytest.fixtures
  * [STATFACE-7245] pep8
  * [STATINFRA-7284], [STATINFRA-7245] fix for config upload
  * [STATINFRA-7245] use tox

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 14 Dec 2015 14:22:42 +0300

python-statface-client (0.2.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-6963] more validation
  * [STATINFRA-6963] cosmetics
  * [STATINFRA-6963] fix for StatfaceReportConfig constructor
  * [STATINFRA-6936] default values and unicode fixes

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 01 Dec 2015 17:28:31 +0300

python-statface-client (0.1.0) precise; urgency=low

  [ Veronika Ivannikova ]
  * [STATINFRA-6963] interface cosmetics and fixes
  * [STATINFRA-6936] client interface improvments
  * [STATINFRA-6936] debianization cosmetics

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 25 Nov 2015 19:06:10 +0300

python-statface-client (0.0.1) unstable; urgency=low

  * Initial release.

 -- Veronika Ivannikova <veronikaiv@yandex-team.ru>  Tue, 17 Nov 2015 17:13:06 +0300
